# PCMGDefaultResidual

Default routine to calculate the residual.

### Synopsis

    #include "petscksp.h"
    #include "petscmg.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCMGDefaultResidual(Mat mat,Vec b,Vec x,Vec r)

Collective on Mat and Vec

### Input Parameters

| mat | - the matrix
| b | - the right-hand-side
| x | - the approximate solution

### Output Parameter

r -location to store the residual

### Keywords

MG, default, multigrid, residual

### See Also

PCMGSetResidual()

Level:advanced
Location: src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages